com.sun.grid.jgdi.util

## Class OutputTable

- java.lang.Object
- - com.sun.grid.jgdi.util.OutputTable

-     public class OutputTable
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `OutputTable.Calc`
    `class` | `OutputTable.Column`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.text.DecimalFormat` | `DEFAULT_NUMBER_FORMAT`
    `static java.text.DecimalFormat` | `POINT_FIVE_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputTable(java.lang.Class clazz)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCol(OutputTable.Column col)`
    `OutputTable.Column` | `addCol(java.lang.String name, java.lang.String header)`
    `OutputTable.Column` | `addCol(java.lang.String name, java.lang.String header, int width)`
    `OutputTable.Column` | `addCol(java.lang.String name, java.lang.String header, int width, java.text.Format format)`
    `OutputTable.Column` | `addCol(java.lang.String name, java.lang.String header, int width, java.text.Format format, OutputTable.Calc calc)`
    `OutputTable.Column` | `addCol(java.lang.String name, java.lang.String header, int width, int alignment)`
    `OutputTable.Column` | `addCol(java.lang.String name, java.lang.String header, int width, int alignment, OutputTable.Calc calc)`
    `OutputTable.Column` | `addCol(java.lang.String name, java.lang.String header, int width, OutputTable.Calc calc)`
    `int` | `getRowWidth()`
    `void` | `printDelimiter(java.io.PrintWriter pw, char del)`
    `void` | `printHeader(java.io.PrintWriter pw)`
    `void` | `printRow(java.io.PrintWriter pw, java.lang.Object obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_NUMBER_FORMAT

          public static final java.text.DecimalFormat DEFAULT_NUMBER_FORMAT

    - #### POINT_FIVE_FORMAT

          public static final java.text.DecimalFormat POINT_FIVE_FORMAT

  - ### Constructor Detail

    - #### OutputTable

          public OutputTable(java.lang.Class clazz)

  - ### Method Detail

    - #### addCol

          public OutputTable.Column addCol(java.lang.String name,
                                           java.lang.String header)
                                    throws java.beans.IntrospectionException

      Throws:
        `java.beans.IntrospectionException`

    - #### addCol

          public OutputTable.Column addCol(java.lang.String name,
                                           java.lang.String header,
                                           int width)
                                    throws java.beans.IntrospectionException

      Throws:
        `java.beans.IntrospectionException`

    - #### addCol

          public OutputTable.Column addCol(java.lang.String name,
                                           java.lang.String header,
                                           int width,
                                           int alignment)
                                    throws java.beans.IntrospectionException

      Throws:
        `java.beans.IntrospectionException`

    - #### addCol

          public OutputTable.Column addCol(java.lang.String name,
                                           java.lang.String header,
                                           int width,
                                           int alignment,
                                           OutputTable.Calc calc)
                                    throws java.beans.IntrospectionException

      Throws:
        `java.beans.IntrospectionException`

    - #### addCol

          public OutputTable.Column addCol(java.lang.String name,
                                           java.lang.String header,
                                           int width,
                                           java.text.Format format)
                                    throws java.beans.IntrospectionException

      Throws:
        `java.beans.IntrospectionException`

    - #### addCol

          public OutputTable.Column addCol(java.lang.String name,
                                           java.lang.String header,
                                           int width,
                                           java.text.Format format,
                                           OutputTable.Calc calc)
                                    throws java.beans.IntrospectionException

      Throws:
        `java.beans.IntrospectionException`

    - #### addCol

          public OutputTable.Column addCol(java.lang.String name,
                                           java.lang.String header,
                                           int width,
                                           OutputTable.Calc calc)
                                    throws java.beans.IntrospectionException

      Throws:
        `java.beans.IntrospectionException`

    - #### addCol

          public void addCol(OutputTable.Column col)

    - #### printHeader

          public void printHeader(java.io.PrintWriter pw)

    - #### getRowWidth

          public int getRowWidth()

    - #### printRow

          public void printRow(java.io.PrintWriter pw,
                               java.lang.Object obj)

    - #### printDelimiter

          public void printDelimiter(java.io.PrintWriter pw,
                                     char del)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.